# Interactive Double Pendulum

An interactive double pendulum simulator built with Python and Matplotlib.  
This tool visualizes the chaotic motion of a double pendulum and allows real-time parameter tuning, trail visualization, and data collection.

## Features

- Adjustable parameters: masses, lengths, gravity, and time step via sliders.
- Real-time animation with pause, reset, and trail toggles.
- Data collection and export to CSV for further analysis.
- Built-in verification test to check simulation correctness.
- Minimal dependencies: just `numpy` and `matplotlib`.

## Installation

Install directly from PyPI:

```bash
pip install CW-DoublePendulum
```


